Bug 979580 - [abrt] telnet-0.17-54.fc18: __longjmp: Process /usr/bin/telnet was killed by signal 11 (SIGSEGV)
[abrt] telnet-0.17-54.fc18: __longjmp: Process /usr/bin/telnet was killed by ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: telnet (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Sekletar
Fedora Extras Quality Assurance
abrt_hash:8957dfc408507b72e0d0376a38e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 16:33 EDT by Jacek Wielemborek
Modified: 2014-02-05 17:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:00:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.95 KB, text/plain)
2013-06-28 16:33 EDT, Jacek Wielemborek
no flags Details
File: cgroup (129 bytes, text/plain)
2013-06-28 16:33 EDT, Jacek Wielemborek
no flags Details
File: core_backtrace (78.94 KB, text/plain)
2013-06-28 16:33 EDT, Jacek Wielemborek
no flags Details
File: dso_list (928 bytes, text/plain)
2013-06-28 16:33 EDT, Jacek Wielemborek
no flags Details
File: environ (3.79 KB, text/plain)
2013-06-28 16:33 EDT, Jacek Wielemborek
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-28 16:33 EDT, Jacek Wielemborek
no flags Details
File: maps (4.73 KB, text/plain)
2013-06-28 16:33 EDT, Jacek Wielemborek
no flags Details
File: open_fds (143 bytes, text/plain)
2013-06-28 16:33 EDT, Jacek Wielemborek
no flags Details
File: proc_pid_status (931 bytes, text/plain)
2013-06-28 16:33 EDT, Jacek Wielemborek
no flags Details
File: var_log_messages (557 bytes, text/plain)
2013-06-28 16:34 EDT, Jacek Wielemborek
no flags Details

  None (edit)
Description Jacek Wielemborek 2013-06-28 16:33:28 EDT
Description of problem:
I was trying to perform a telnet nmap.org 80 | head -n 20. Then I ran a simple GET / HTTP/1.1 request there.

Version-Release number of selected component:
telnet-0.17-54.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        telnet nmap.org 80
crash_function: __longjmp
executable:     /usr/bin/telnet
kernel:         3.9.6-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
[New LWP 6656]
Core was generated by `telnet nmap.org 80'.
Program terminated with signal 11, Segmentation fault.
#0  0x00007faddbde1b03 in __longjmp () at ../sysdeps/x86_64/__longjmp.S:34
34		PTR_DEMANGLE (%R9_LP)

Thread 1 (LWP 6656):
#0  0x00007faddbde1b03 in __longjmp () at ../sysdeps/x86_64/__longjmp.S:34
No locals.
Cannot access memory at address 0x7fff28d71f30
From                To                  Syms Read   Shared Object Library
0x00007faddc5b1f10  0x00007faddc5b2824  Yes         /lib64/libutil.so.1
0x00007faddc393d50  0x00007faddc3aaf88  Yes         /lib64/libncurses.so.5
0x00007faddc170e40  0x00007faddc17cdb8  Yes         /lib64/libtinfo.so.5
0x00007faddbdcb1a0  0x00007faddbf0ca10  Yes         /lib64/libc.so.6
0x00007faddbba8ed0  0x00007faddbba99f0  Yes         /lib64/libdl.so.2
0x00007faddc7b4b20  0x00007faddc7ce3d9  Yes         /lib64/ld-linux-x86-64.so.2
0x00007faddb99d1e0  0x00007faddb9a467c  Yes         /lib64/libnss_files.so.2
0x00007faddb798c40  0x00007faddb799860  Yes         /lib64/libnss_mdns4_minimal.so.2
0x00007faddb592100  0x00007faddb5958b4  Yes         /lib64/libnss_dns.so.2
0x00007faddb37ba30  0x00007faddb38a00c  Yes         /lib64/libresolv.so.2
$1 = 0x0
No symbol "__glib_assert_msg" in current context.
rax            0x0	0
rbx            0xffffffff	4294967295
rcx            0x10	16
rdx            0x7fff28d71f38	140733878574904
rsi            0x0	0
rdi            0x14	20
rbp            0x7faddcbf65e8	0x7faddcbf65e8 <tin>
rsp            0x7fff28d71f30	0x7fff28d71f30
r8             0x14	20
r9             0x10	16
r10            0x0	0
r11            0x246	582
r12            0x7fff28d720a0	140733878575264
r13            0x7faddcbf6610	140384709600784
r14            0x7faddcbf6614	140384709600788
r15            0xffffefff	4294963199
rip            0x7faddbde1b03	0x7faddbde1b03 <__longjmp+35>
eflags         0x10246	[ PF ZF IF RF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
Dump of assembler code for function __longjmp:
   0x00007faddbde1ae0 <+0>:	mov    0x30(%rdi),%r8
   0x00007faddbde1ae4 <+4>:	mov    0x8(%rdi),%r9
   0x00007faddbde1ae8 <+8>:	mov    0x38(%rdi),%rdx
   0x00007faddbde1aec <+12>:	ror    $0x11,%r8
   0x00007faddbde1af0 <+16>:	xor    %fs:0x30,%r8
   0x00007faddbde1af9 <+25>:	ror    $0x11,%r9
   0x00007faddbde1afd <+29>:	xor    %fs:0x30,%r9
   0x00007faddbde1b06 <+38>:	ror    $0x11,%rdx
   0x00007faddbde1b0a <+42>:	xor    %fs:0x30,%rdx
   0x00007faddbde1b13 <+51>:	nop
   0x00007faddbde1b14 <+52>:	mov    (%rdi),%rbx
   0x00007faddbde1b17 <+55>:	mov    0x10(%rdi),%r12
   0x00007faddbde1b1b <+59>:	mov    0x18(%rdi),%r13
   0x00007faddbde1b1f <+63>:	mov    0x20(%rdi),%r14
   0x00007faddbde1b23 <+67>:	mov    0x28(%rdi),%r15
   0x00007faddbde1b27 <+71>:	mov    %esi,%eax
   0x00007faddbde1b29 <+73>:	mov    %r8,%rsp
   0x00007faddbde1b2c <+76>:	mov    %r9,%rbp
   0x00007faddbde1b2f <+79>:	nop
   0x00007faddbde1b30 <+80>:	jmpq   *%rdx
End of assembler dump.
Comment 1 Jacek Wielemborek 2013-06-28 16:33:33 EDT
Created attachment 766715 [details]
File: backtrace
Comment 2 Jacek Wielemborek 2013-06-28 16:33:36 EDT
Created attachment 766716 [details]
File: cgroup
Comment 3 Jacek Wielemborek 2013-06-28 16:33:39 EDT
Created attachment 766717 [details]
File: core_backtrace
Comment 4 Jacek Wielemborek 2013-06-28 16:33:43 EDT
Created attachment 766718 [details]
File: dso_list
Comment 5 Jacek Wielemborek 2013-06-28 16:33:46 EDT
Created attachment 766719 [details]
File: environ
Comment 6 Jacek Wielemborek 2013-06-28 16:33:49 EDT
Created attachment 766720 [details]
File: limits
Comment 7 Jacek Wielemborek 2013-06-28 16:33:52 EDT
Created attachment 766721 [details]
File: maps
Comment 8 Jacek Wielemborek 2013-06-28 16:33:55 EDT
Created attachment 766722 [details]
File: open_fds
Comment 9 Jacek Wielemborek 2013-06-28 16:33:59 EDT
Created attachment 766723 [details]
File: proc_pid_status
Comment 10 Jacek Wielemborek 2013-06-28 16:34:02 EDT
Created attachment 766724 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2013-12-21 09:11:18 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2014-02-05 17:00:14 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.